API ReferenceDashboard Widget
Dedicated action for widget to return chart data of upcoming tasks.
GET
Dedicated action for widget to return chart data of upcoming tasks.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
projectId?stringProject id of project that data need to be filtered
userId?stringId of current user if want only data of this user
TaskSchedulerSummaryChartData resource
- response
tasksTodo?integertasksInProgress?integertasksDone?integertasksAfterDeadline?integercurl -X GET 'https://app.icproject.com/api/instance/demo/project/tasks/scheduler-summary'Example Response
{ "tasksTodo": 0, "tasksInProgress": 0, "tasksDone": 0, "tasksAfterDeadline": 0}